﻿//HP in Player Panels by Bones(NA)
//Variant 2 - tall transparent HP bars in Medium1 & Medium2 Player Panels
//10 August 2016
/**
 * Parameters of the Players Panels ("ears").
 * ????????? ??????? ??????? ("????").
 *
 * Extra field parameters:
 *
 * types of formats available for extended format:
 *   - MovieClip (for loading image)
 *   - TextField (for writing text and creating rectangles)
 * if "src" field is present, MovieClip format will be used
 * if "src" field is absent, TextField format will be used
 *
 * fields available for extended format:
 *   "src" - resource path ("xvm://res/contour/{{vehiclename}}.png")
 *   "format" - text format (macros allowed)
 *
 * fields available for both MovieClip and TextField formats:
 *   "enabled" - enable/disable field creation (global macros allowed)
 *   "x" - x position (macros allowed)
 *   "y" - y position (macros allowed)
 *   "width" - width (macros allowed)
 *   "height" - height (macros allowed)
 *   "bindToIcon" - if enabled, x position is binded to vehicle icon (default false)
 *   "alpha" - transparency in percents (0..100) (macros allowed)
 *   "rotation" - rotation in degrees (0..360) (macros allowed)
 *   "align" - horizontal alignment ("left", "center", "right")
 *      for left panel default value is "left"
 *      for right panel default value is "right"
 *   "scaleX", "scaleY" - scaling (use negative values for mirroring)
 *
 *   "hotKeyCode"        keyboard key code (see list in hotkeys.xc), when pressed - switches text field to show and apply configured html in "format", or hide;
 *                       when defined, text field will not be shown until key is pressed, to disable define null value or delete parameter
 *   "onHold"            false - take action by key click; true - while key is remains pressed (default: false)
 *   "visibleOnHotKey"   true - field visible on hot key pressed; false - vice versa (default: true)
 *
 * fields available for TextField format only:
 *   "valign" - vertical alignment ("top", "center", "bottom")
 *      default value is "top"
 *   "borderColor" - if set, draw border with specified color (macros allowed)
 *   "bgColor" - if set, draw background with specified color (macros allowed)
 *   "antiAliasType" - anti aliasing mode ("advanced" or "normal")
 *
 *   http://help.adobe.com/en_US/FlashPlatform/reference/actionscript/3/flash/text/TextFormat.html
 *   "textFormat": {
 *     "font"
 *     "size"
 *     "color"
 *     "bold"
 *     "italic"
 *     "underline"
 *     "align"
 *     "leftMargin"
 *     "rightMargin"
 *     "indent"
 *     "leading"
 *     "tabStops"
 *   }
 *
 *   http://help.adobe.com/en_US/FlashPlatform/reference/actionscript/3/flash/filters/DropShadowFilter.html
 *   "shadow": {
 *     "enabled"
 *     "distance" (in pixels)
 *     "angle"    (0.0 .. 360.0)
 *     "color"    "0xXXXXXX"
 *     "alpha"    (0.0 .. 100.0)
 *     "blur"     (0.0 .. 255.0)
 *     "strength" (0.0 .. 255.0)
 *     "quality"
 *     "inner"
 *     "knockout"
 *     "hideObject"
 *   }
 *
 * fields available for players panel only:
 *   "substrate": put field behind all standard fields, x value depends of players panel width
 */
{
  // Enemy spotted status marker format for substitutions in extra fields.
  // ??????????? ??? ??????????????? ???? ? ???????? ??????? ???????
  "enemySpottedMarker": {
    // Opacity percentage of spotted markers in the panels. 0 - transparent (disabled) ... 100 - opaque.
    // ???????????? ? ????????? ???????? ??????? ? ????. 0 - ????????? ?????????? (?????????), 100 - ?? ??????????.
    "alpha": "{{a:spotted}}",
    // x position.
    // ????????? ?? ???????????.
    "x": 8,
    // y position.
    // ????????? ?? ?????????.
    "y": 5,
    // Horizontal alignment
    // ???????????? ?? ???????????
    "align": "center",
    // true - x position is binded to vehicle icon, false - binded to edge of the screen.
    // true - ????????? ?? ??????????? ????????????? ?? ?????? ?????, false - ?? ???? ??????.
    "bindToIcon": true,
    // enemy spotted status marker format.
    // ?????? ??????? ??????? ???????.
    "format": "{{spotted}}",
    // shadow (see below).
    // ????????? ???? (??. ????).
    "shadow": {}
  },
  // XMQP service marker definition.
  // ?????? ??????? ??????? XMQP.
  "xmqpServiceMarker": {
    "x": 86, "y": 1, "align": "center", "bindToIcon": true,
    "format": "<font face='xvm' size='23' color='{{alive?{{x-spotted?#FFBB00|{{x-sense-on?#D9D9D9|#BFBFBF}}}}|#FFFFFF}}' alpha='{{alive?#FF|#80}}'>{{alive?{{x-spotted?&#x70;|{{x-sense-on?&#x70;|{{x-enabled?&#x7A;}}}}}}|&#x76;}}</font>",
    "shadow": {}
  },
  // Clan icon definition.
  // ?????? ?????? ?????.
  "clanIcon": {
    "enabled": false,
    "x": 65, "y": 6, "width": 16, "height": 16, "align": "center", "alpha": 90, "bindToIcon": true,
    "src": "{{clanicon}}"
    //"format": "<img src='{{clanicon}}' width='16' height='16'>"
  },
  // Is XVM user marker definition.
  // ?????? ??????? ???????????? XVM.
  "xvmUserMarker": {
    "enabled": false,
    "x": -5, "y": 5, "bindToIcon": true,
    "src": "xvm://res/icons/xvm/xvm-user-{{xvm-user|none}}.png"
  },
  // Parameters of the Players Panels ("ears").
  // ????????? ??????? ??????? ("????").
  "playersPanel": {
    // false - Disable.
    // false - ?????????.
    "enabled": true,
    // Opacity percentage of the panels. 0 - transparent, 100 - opaque.
    // ???????????? ? ????????? ????. 0 - ??????????, 100 - ?? ??????????.
    "alpha": 60,
    // Opacity percentage of icons in the panels. 0 - transparent ... 100 - opaque.
    // ???????????? ? ????????? ?????? ? ????. 0 - ??????????, 100 - ?? ??????????.
    "iconAlpha": 100,
    // true - disable background of the selected player.
    // true - ?????? ???????? ?????????? ??????.
    "removeSelectedBackground": false,
    // true - Remove the Players Panel mode switcher (buttons for changing size).
    // true - ?????? ????????????? ??????? ???? ??????.
    "removePanelsModeSwitcher": false,
    // Start panels mode. Possible values: "none", "short", "medium", "medium2", "large".
    // ????????? ????? ????. ????????? ????????: "none", "short", "medium", "medium2", "large".
    "startMode": "large",
    // Alternative panels mode. Possible values: null, "none", "short", "medium", "medium2", "large".
    // ?????????????? ????? ????. ????????? ????????: null, "none", "short", "medium", "medium2", "large".
    "altMode": null,
    // Options for the "none" panels - empty panels.
    // ????? ???? "none" - ?????? ???.
    "none": {
      // false - disable (?????????)
      "enabled": true,
      // Width of area for switching to "large" mode on mouse over
      // ?????? ??????? ???????????? ? ????? "large" ??? ????????? ????
      "expandAreaWidth": 230,
      // Layout ("vertical" or "horizontal")
      // ?????????? ("vertical" - ???????????, ??? "horizontal" - ?????????????)
      "layout": "vertical",
      // true - don't change players positions on dead (default false)
      // true - ?? ???????? ??????? ??????? ??? ??????????? (?? ????????? false)
      "fixedPosition": false,
      // Extra fields.
      // ?????????????? ????.
      "extraFields": {
        "leftPanel": {
          "x": 0, // from left side of screen
          "y": 65,
          "width": 350,
          "height": 25,
          // Set of formats for left panel
          // ????? ???????? ??? ????? ??????
          // example:
          // "format": [
          //   // simple format (just a text)
          //   "{{nick}}",
          //   "<img src='xvm://res/img/panel-bg-l-{{alive|dead}}.png' width='318' height='28'>",
          //   // extended format
          //   { "x": 20, "y": 10, "borderColor": "0xFFFFFF", "format": "{{nick}}" },
          //   { "x": 200, "src": "xvm://res/contour/{{vehiclename}}.png" }
          // ]
          //
          // fields available for MovieClip format only:
          //     "highlight" - highlight icon depending on the player state, default false
          //
          // * all fields are optional
          //
          "formats": []
        },
        "rightPanel": {
          "x": 0, // from right side of screen
          "y": 65,
          "width": 350,
          "height": 25,
          // Set of formats for right panel (extended format supported, see above)
          // ????? ???????? ??? ?????? ?????? (?????????????? ??????????? ??????, ??. ????)
          "formats": []
        }
      }
    },
    // Options for the "short" panels - panels with frags and vehicle icon.
    // ????? ???? "short" - ???????? ??? (????? ? ?????? ?????).
    "short": {
      // false - disable (?????????)
      "enabled": true,
      // Displayed standard fields in this mode and their order.
      // Available names: "frags", "vehicle", "nick".
      // ???????????? ??????????? ???? ? ?????? ??????, ? ?? ???????.
      // ?????????? ????????: "frags", "vehicle", "nick".
      "standardFields": [ "frags" ],
      // Width of area for switching to "large" mode on mouse over
      // ?????? ??????? ???????????? ? ????? "large" ??? ????????? ????
      "expandAreaWidth": 230,
      // true - disable platoon icons
      // true - ?????? ??????????? ?????? ??????
      "removeSquadIcon": false,
      // Offset of X value for vehicle icon.
      // ???????? ?????????? X ??? ?????? ?????.
      "vehicleIconXOffsetLeft": 0,
      "vehicleIconXOffsetRight": 0,
      // Offset of X value for vehicle level.
      // ???????? ?????????? X ??? ?????? ?????.
      "vehicleLevelXOffsetLeft": 0,
      "vehicleLevelXOffsetRight": 0,
      // transparency of vehicle level
      // ???????????? ?????? ?????
      "vehicleLevelAlpha": 100,
      // Offset of X value for frags column.
      // ???????? ?????????? X ??? ???? ??????.
      "fragsXOffsetLeft": 0,
      "fragsXOffsetRight": 0,
      // Width of the frags column, 0-250. Default is 24.
      // ?????? ???? ??????, 0-250. ?? ?????????: 24.
      "fragsWidth": 18,
      // Display format for frags (macros allowed, see macros.txt).
      // ?????? ??????????? ?????? (??????????? ????????????????, ??. macros.txt).
      "fragsFormatLeft": "{{frags}}",
      "fragsFormatRight": "{{frags}}",
      // Offset of X value for player name column.
      // ???????? ?????????? X ??? ???? ????? ??????.
      "nickXOffsetLeft": 0,
      "nickXOffsetRight": 0,
      // Minimum width of the player name column, 0-250. Default is 46.
      // ??????????? ?????? ???? ????? ??????, 0-250. ?? ?????????: 46.
      "nickMinWidth": 2,
      // Maximum width of the player name column, 0-250. Default is 200.
      // ???????????? ?????? ???? ????? ??????, 0-250. ?? ?????????: 200.
      "nickMaxWidth": 4,
      // Display format for player nickname (macros allowed, see macros.txt).
      // ?????? ??????????? ????? ?????? (??????????? ????????????????, ??. macros.txt).
      "nickFormatLeft": "",
      "nickFormatRight": "",
      // Offset of X value for vehicle name column.
      // ???????? ?????????? X ??? ???? ???????? ?????.
      "vehicleXOffsetLeft": 0,
      "vehicleXOffsetRight": 0,
      // Width of the vehicle name column, 0-250. Default is 72.
      // ?????? ???? ???????? ?????, 0-250. ?? ?????????: 72.
      "vehicleWidth": 2,
      // Display format for vehicle name (macros allowed, see macros.txt).
      // ?????? ??????????? ???????? ????? (??????????? ????????????????, ??. macros.txt).
      "vehicleFormatLeft": "{{vehicle}}",
      "vehicleFormatRight": "{{vehicle}}",
      // Extra fields. Each field have default size 350x25.
      // Fields are placed one above the other.
      // ?????????????? ????. ?????? ???? ????? ?????? ?? ????????? 350x25.
      // ???? ????????????? ???? ??? ??????.
      // Set of formats for left panel (extended format supported, see above)
      // ????? ???????? ??? ????? ?????? (?????????????? ??????????? ??????, ??. ????)
      "extraFieldsLeft": [
        ${"clanIcon"},
        ${"xvmUserMarker"},
        // XMQP service marker (see above).
        // ?????? ??????? XMQP (??. ????).
        ${"xmqpServiceMarker"}
      ],
      // Set of formats for right panel (extended format supported, see above)
      // ????? ???????? ??? ?????? ?????? (?????????????? ??????????? ??????, ??. ????)
      "extraFieldsRight": [
        ${"clanIcon"},
        ${"xvmUserMarker"},
        // enemy spotted status marker (see above).
        // ?????? ??????? ??????? ?????????? (??. ????).
        ${"enemySpottedMarker"}
      ]
    },
    // Options for the "medium" panels - the first of the medium panels.
    // ????? ???? "medium" - ?????? ??????? ??? ? ????.
    "medium": {
      // false - disable (?????????)
      "enabled": true,
      // Displayed standard fields in this mode and their order.
      // Available names: "frags", "vehicle", "nick".
      // ???????????? ??????????? ???? ? ?????? ??????, ? ?? ???????.
      // ?????????? ????????: "frags", "vehicle", "nick".
      "standardFields": [ "frags", "nick" ],
      // Width of area for switching to "large" mode on mouse over
      // ?????? ??????? ???????????? ? ????? "large" ??? ????????? ????
      "expandAreaWidth": 230,
      // true - disable platoon icons
      // true - ?????? ??????????? ?????? ??????
      "removeSquadIcon": false,
      // Offset of X value for vehicle icon.
      // ???????? ?????????? X ??? ?????? ?????.
      "vehicleIconXOffsetLeft": 0,
      "vehicleIconXOffsetRight": 0,
      // Offset of X value for vehicle level.
      // ???????? ?????????? X ??? ?????? ?????.
      "vehicleLevelXOffsetLeft": 0,
      "vehicleLevelXOffsetRight": 0,
      // transparency of vehicle level
      // ???????????? ?????? ?????
      "vehicleLevelAlpha": 100,
      // Offset of X value for frags column.
      // ???????? ?????????? X ??? ???? ??????.
      "fragsXOffsetLeft": 0,
      "fragsXOffsetRight": 0,
      // Width of the frags column, 0-250. Default is 24.
      // ?????? ???? ??????, 0-250. ?? ?????????: 24.
      "fragsWidth": 18,
      // Display format for frags (macros allowed, see macros.txt).
      // ?????? ??????????? ?????? (??????????? ????????????????, ??. macros.txt).
      "fragsFormatLeft": "{{frags}}",
      "fragsFormatRight": "{{frags}}",
      // Offset of X value for player name column.
      // ???????? ?????????? X ??? ???? ????? ??????.
      "nickXOffsetLeft": 0,
      "nickXOffsetRight": 0,
      // Minimum width of the player name column, 0-250. Default is 46.
      // ??????????? ?????? ???? ????? ??????, 0-250. ?? ?????????: 46.
      "nickMinWidth": 80,
      // Maximum width of the player name column, 0-250. Default is 200.
      // ???????????? ?????? ???? ????? ??????, 0-250. ?? ?????????: 200.
      "nickMaxWidth": 80,
      // Display format for player nickname (macros allowed, see macros.txt).
      // ?????? ??????????? ????? ?????? (??????????? ????????????????, ??. macros.txt).
      "nickFormatLeft": "<font color='{{c:wn8}}' alpha='{{alive?#FF|#80}}'>{{name%.14s~..}} {{clan}}</font>",
      "nickFormatRight": "<font color='{{c:wn8}}' alpha='{{alive?#FF|#80}}'>{{name%.14s~..}} {{clan}}</font>",
      // Offset of X value for vehicle name column.
      // ???????? ?????????? X ??? ???? ???????? ?????.
      "vehicleXOffsetLeft": 0,
      "vehicleXOffsetRight": 0,
      // Width of the vehicle name column, 0-250. Default is 72.
      // ?????? ???? ???????? ?????, 0-250. ?? ?????????: 72.
      "vehicleWidth": 2,
      // Display format for vehicle name (macros allowed, see macros.txt).
      // ?????? ??????????? ???????? ????? (??????????? ????????????????, ??. macros.txt).
      "vehicleFormatLeft": "<font color='{{c:r}}' alpha='{{alive?#FF|#80}}'>{{vehicle}}</font>",
      "vehicleFormatRight": "<font color='{{c:r}}' alpha='{{alive?#FF|#80}}'>{{vehicle}}</font>",
      // Extra fields. Each field have size 350x25. Fields are placed one above the other.
      // ?????????????? ????. ?????? ???? ????? ?????? 350x25. ???? ????????????? ???? ??? ??????.
      // Set of formats for left panel (extended format supported, see above)
      // ????? ???????? ??? ????? ?????? (?????????????? ??????????? ??????, ??. ????)
"extraFieldsLeft": [
        ${"clanIcon"},
        ${"xvmUserMarker"},
        // XMQP service marker (see above).
        // ?????? ??????? XMQP (??. ????).
        ${"xmqpServiceMarker"},
	{ "x": 40, "y": 2, "valign": "center", "w": 100, "h": 20, "bgColor": "0x000000", "alpha": "30" },
	{ "x": 42, "y": 4, "valign": "center", "w": "{{hp-ratio:96}}", "h": 16, "bgColor": "0x669966", "alpha": "30" }
],
"extraFieldsRight": [
        ${"clanIcon"},
        ${"xvmUserMarker"},
        // enemy spotted status marker (see above).
        // ?????? ??????? ??????? ?????????? (??. ????).
        ${"enemySpottedMarker"},
	{ "x": 40, "y": 2, "valign": "center", "w": 100, "h": 20, "bgColor": "0x000000", "alpha": "30" },
	{ "x": 42, "y": 4, "valign": "center", "w": "{{hp-ratio:96}}", "h": 16, "bgColor": "0x996666", "alpha": "30" }
      ]
    },
    // Options for the "medium2" panels - the second of the medium panels.
    // ????? ???? "medium2" - ?????? ??????? ??? ? ????.
    "medium2": {
      // false - disable (?????????)
      "enabled": true,
      // Displayed standard fields in this mode and their order.
      // Available names: "frags", "vehicle", "nick".
      // ???????????? ??????????? ???? ? ?????? ??????, ? ?? ???????.
      // ?????????? ????????: "frags", "vehicle", "nick".
      "standardFields": [ "frags", "vehicle" ],
      // Width of area for switching to "large" mode on mouse over
      // ?????? ??????? ???????????? ? ????? "large" ??? ????????? ????
      "expandAreaWidth": 230,
      // true - disable platoon icons
      // true - ?????? ??????????? ?????? ??????
      "removeSquadIcon": false,
      // Offset of X value for vehicle icon.
      // ???????? ?????????? X ??? ?????? ?????.
      "vehicleIconXOffsetLeft": 0,
      "vehicleIconXOffsetRight": 0,
      // Offset of X value for vehicle level.
      // ???????? ?????????? X ??? ?????? ?????.
      "vehicleLevelXOffsetLeft": 0,
      "vehicleLevelXOffsetRight": 0,
      // transparency of vehicle level
      // ???????????? ?????? ?????
      "vehicleLevelAlpha": 100,
      // Offset of X value for frags column.
      // ???????? ?????????? X ??? ???? ??????.
      "fragsXOffsetLeft": 0,
      "fragsXOffsetRight": 0,
      // Width of the frags column, 0-250. Default is 24.
      // ?????? ???? ??????, 0-250. ?? ?????????: 24.
      "fragsWidth": 24,
      // Display format for frags (macros allowed, see macros.txt).
      // ?????? ??????????? ?????? (??????????? ????????????????, ??. macros.txt).
      "fragsFormatLeft": "{{frags}}",
      "fragsFormatRight": "{{frags}}",
      // Offset of X value for player name column.
      // ???????? ?????????? X ??? ???? ????? ??????.
      "nickXOffsetLeft": 0,
      "nickXOffsetRight": 0,
      // Minimum width of the player name column, 0-250. Default is 46.
      // ??????????? ?????? ???? ????? ??????, 0-250. ?? ?????????: 46.
      "nickMinWidth": 46,
      // Maximum width of the player name column, 0-250. Default is 200.
      // ???????????? ?????? ???? ????? ??????, 0-250. ?? ?????????: 200.
      "nickMaxWidth": 80,
      // Display format for player nickname (macros allowed, see macros.txt).
      // ?????? ??????????? ????? ?????? (??????????? ????????????????, ??. macros.txt).
      "formatLeft": "<font color='{{c:wn8}}' alpha='{{alive?#FF|#80}}'>{{vehicle%.16s~..}}</font>",
      // Display format for the right panel (macros allowed, see readme-en.txt).
      // ?????? ??????????? ??? ?????? ?????? (??????????? ????????????????, ??. readme-ru.txt).
      "formatRight": "<font color='{{c:wn8}}' alpha='{{alive?#FF|#80}}'>{{vehicle%.16s~..}}</font>",
      // Offset of X value for vehicle name column.
      // ???????? ?????????? X ??? ???? ???????? ?????.
      "vehicleXOffsetLeft": 0,
      "vehicleXOffsetRight": 0,
      // Width of the vehicle name column, 0-250. Default is 72.
      // ?????? ???? ???????? ?????, 0-250. ?? ?????????: 72.
      "vehicleWidth": 72,
      // Display format for vehicle name (macros allowed, see macros.txt).
      // ?????? ??????????? ???????? ????? (??????????? ????????????????, ??. macros.txt).
      "vehicleFormatLeft": "<font color='{{c:r}}' alpha='{{alive?#FF|#80}}'>{{vehicle}}</font>",
      "vehicleFormatRight": "<font color='{{c:r}}' alpha='{{alive?#FF|#80}}'>{{vehicle}}</font>",
      // Extra fields. Each field have size 350x25. Fields are placed one above the other.
      // ?????????????? ????. ?????? ???? ????? ?????? 350x25. ???? ????????????? ???? ??? ??????.
      // Set of formats for left panel (extended format supported, see above)
      // ????? ???????? ??? ????? ?????? (?????????????? ??????????? ??????, ??. ????)
"extraFieldsLeft": [
        ${"clanIcon"},
        ${"xvmUserMarker"},
        // XMQP service marker (see above).
        // ?????? ??????? XMQP (??. ????).
        ${"xmqpServiceMarker"},
	{ "x": 44, "y": 2, "valign": "center", "w": 80, "h": 20, "bgColor": "0x000000", "alpha": "30" },
	{ "x": 46, "y": 4, "valign": "center", "w": "{{hp-ratio:76}}", "h": 16, "bgColor": "0x669966", "alpha": "30" }
],
      // Set of formats for right panel (extended format supported, see above)
      // ????? ???????? ??? ?????? ?????? (?????????????? ??????????? ??????, ??. ????)
"extraFieldsRight": [
        ${"clanIcon"},
        ${"xvmUserMarker"},
	{ "x": 44, "y": 2, "valign": "center", "w": 80, "h": 20, "bgColor": "0x000000", "alpha": "30" },
	{ "x": 46, "y": 4, "valign": "center", "w": "{{hp-ratio:76}}", "h": 16, "bgColor": "0x996666", "alpha": "30" },
        // enemy spotted status marker (see above).
        // ?????? ??????? ??????? (??. ????).
        ${"enemySpottedMarker"}
      ]
    },
    // Options for the "large" panels - the widest panels.
    // ????? ???? "large" - ??????? ??? ? ????.
    "large": {
      // false - disable (?????????)
      "enabled": true,
      // Displayed standard fields in this mode and their order.
      // Available names: "frags", "vehicle", "nick".
      // ???????????? ??????????? ???? ? ?????? ??????, ? ?? ???????.
      // ?????????? ????????: "frags", "vehicle", "nick".
      "standardFields": [ "frags", "nick", "vehicle" ],
      // true - disable platoon icons
      // true - ?????? ??????????? ?????? ??????
      "removeSquadIcon": false,
      // Offset of X value for vehicle icon.
      // ???????? ?????????? X ??? ?????? ?????.
      "vehicleIconXOffsetLeft": 0,
      "vehicleIconXOffsetRight": 0,
      // Offset of X value for vehicle level.
      // ???????? ?????????? X ??? ?????? ?????.
      "vehicleLevelXOffsetLeft": 0,
      "vehicleLevelXOffsetRight": 0,
      // transparency of vehicle level
      // ???????????? ?????? ?????
      "vehicleLevelAlpha": 100,
      // Offset of X value for frags column.
      // ???????? ?????????? X ??? ???? ??????.
      "fragsXOffsetLeft": 0,
      "fragsXOffsetRight": 0,
      // Width of the frags column, 0-250. Default is 24.
      // ?????? ???? ??????, 0-250. ?? ?????????: 24.
      "fragsWidth": 24,
      // Display format for frags (macros allowed, see macros.txt).
      // ?????? ??????????? ?????? (??????????? ????????????????, ??. macros.txt).
      "fragsFormatLeft": "{{frags}}",
      "fragsFormatRight": "{{frags}}",
      // Offset of X value for player name column.
      // ???????? ?????????? X ??? ???? ????? ??????.
      "nickXOffsetLeft": 0,
      "nickXOffsetRight": 0,
      // Minimum width of the player name column, 0-250. Default is 46.
      // ??????????? ?????? ???? ????? ??????, 0-250. ?? ?????????: 46.
      "nickMinWidth": 46,
      // Maximum width of the player name column, 0-250. Default is 200.
      // ???????????? ?????? ???? ????? ??????, 0-250. ?? ?????????: 200.
      "nickMaxWidth": 200,
      // Display format for player nickname (macros allowed, see macros.txt).
      // ?????? ??????????? ????? ?????? (??????????? ????????????????, ??. macros.txt).
      "nickFormatLeft": "<font face='mono' size='{{xvm-stat?13|0}}'><font color='{{c:kb}}' alpha='{{alive?#FF|#80}}'>{{kb%2d~k|--k}}</font>|<font color='{{c:wn8}}' alpha='{{alive?#FF|#80}}'>{{wn8%4d|----}}</font>|<font color='{{c:rating}}' alpha='{{alive?#FF|#80}}'>{{rating%d~%|--%}}</font></font>|<font color='{{c:wn8}}' alpha='{{alive?#FF|#80}}'>{{name%.15s~..}} {{clan}}</font>",
      "nickFormatRight": "<font color='{{c:wn8}}' alpha='{{alive?#FF|#80}}'>{{name%.15s~..}} {{clan}}</font>|<font face='mono' size='{{xvm-stat?13|0}}'><font color='{{c:rating}}' alpha='{{alive?#FF|#80}}'>{{rating%d~%|--%}}</font>|<font color='{{c:wn8}}' alpha='{{alive?#FF|#80}}'>{{wn8%4d|----}}</font>|<font color='{{c:kb}}' alpha='{{alive?#FF|#80}}'>{{kb%2d~k|--k}}</font></font>",
      // Offset of X value for vehicle name column.
      // ???????? ?????????? X ??? ???? ???????? ?????.
      "vehicleXOffsetLeft": 0,
      "vehicleXOffsetRight": 0,
      // Width of the vehicle name column, 0-250. Default is 72.
      // ?????? ???? ???????? ?????, 0-250. ?? ?????????: 72.
      "vehicleWidth": 72,
      // Display format for vehicle name (macros allowed, see readme-en.txt).
      // ?????? ??????????? ???????? ????? (??????????? ????????????????, ??. readme-ru.txt).
      "vehicleFormatLeft": "{{vehicle%.16s~..}}",
      "vehicleFormatRight": "{{vehicle%.16s~..}}",
      // Extra fields. Each field have size 350x25. Fields are placed one above the other.
      // ?????????????? ????. ?????? ???? ????? ?????? 350x25. ???? ????????????? ???? ??? ??????.
      // Set of formats for left panel (extended format supported, see above)
      // ????? ???????? ??? ????? ?????? (?????????????? ??????????? ??????, ??. ????)
      "extraFieldsLeft": [
        ${"clanIcon"},
        ${"xvmUserMarker"},
        // XMQP service marker (see above).
        // ?????? ??????? XMQP (??. ????).
        ${"xmqpServiceMarker"}
      ],
      // Set of formats for right panel (extended format supported, see above)
      // ????? ???????? ??? ?????? ?????? (?????????????? ??????????? ??????, ??. ????)
      "extraFieldsRight": [
        ${"clanIcon"},
        ${"xvmUserMarker"},
        // enemy spotted status marker (see above).
        // ?????? ??????? ??????? ?????????? (??. ????).
        ${"enemySpottedMarker"}
      ]
    }
  }
}
